airflow-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From fo...@apache.org
Subject incubator-airflow git commit: [AIRFLOW-2266][AIRFLOW-2343] Remove google-cloud-dataflow dependency
Date Sat, 28 Apr 2018 19:24:23 GMT
Repository: incubator-airflow
Updated Branches:
  refs/heads/master 5aa15868f -> e9b74b68a


[AIRFLOW-2266][AIRFLOW-2343] Remove google-cloud-dataflow dependency

This is caused due to the fact that the latest
release (2.4) for apache-beam[gcp] is not
available for Python 3.x. Also as we are using
Google's discovery based API for all google cloud
related commands we don't require to import
google-cloud-dataflow package

Closes #3273 from kaxil/patch-3


Project: http://git-wip-us.apache.org/repos/asf/incubator-airflow/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-airflow/commit/e9b74b68
Tree: http://git-wip-us.apache.org/repos/asf/incubator-airflow/tree/e9b74b68
Diff: http://git-wip-us.apache.org/repos/asf/incubator-airflow/diff/e9b74b68

Branch: refs/heads/master
Commit: e9b74b68aa848b6ac5602f3e435cba38efde32d5
Parents: 5aa1586
Author: Kaxil Naik <kaxilnaik@gmail.com>
Authored: Sat Apr 28 21:24:15 2018 +0200
Committer: Fokko Driesprong <fokkodriesprong@godatadriven.com>
Committed: Sat Apr 28 21:24:15 2018 +0200

----------------------------------------------------------------------
 setup.py | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-airflow/blob/e9b74b68/setup.py
----------------------------------------------------------------------
diff --git a/setup.py b/setup.py
index b5461eb..fef8d8a 100644
--- a/setup.py
+++ b/setup.py
@@ -133,7 +133,6 @@ gcp_api = [
     'google-api-python-client>=1.5.0, <1.6.0',
     'oauth2client>=2.0.2, <2.1.0',
     'PyOpenSSL',
-    'google-cloud-dataflow>=2.2.0',
     'pandas-gbq'
 ]
 hdfs = ['snakebite>=2.7.8']
@@ -206,8 +205,7 @@ devel_all = (sendgrid + devel + all_dbs + doc + samba + s3 + slack + crypto
+ or
 # Snakebite & Google Cloud Dataflow are not Python 3 compatible :'(
 if PY3:
     devel_ci = [package for package in devel_all if package not in
-                ['snakebite>=2.7.8', 'snakebite[kerberos]>=2.7.8',
-                 'google-cloud-dataflow>=2.2.0']]
+                ['snakebite>=2.7.8', 'snakebite[kerberos]>=2.7.8']]
 else:
     devel_ci = devel_all
 


Mime
View raw message